package com.style24.front.biz.dao;

import java.util.Collection;

import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.Faq;

/**
 * FAQ Dao
 * 
 * @author gagamel
 * @since 2020. 12. 23
 */
@ShopDs
public interface TsfFaqDao {

	/**
	 * FAQ 자주 묻는 질문 목록 (10개)
	 * @param siteCd - 사이트코드
	 * @return
	 * @author gagamel
	 * @since 2020. 12. 23
	 */
	Collection<Faq> getFaqLikesList(String siteCd);

	/**
	 * FAQ 총건수
	 * @param faq - FAQ 정보
	 * @return
	 * @author gagamel
	 * @since 2020. 12. 23
	 */
	int getFaqTotalCount(Faq faq);

	/**
	 * FAQ 목록
	 * @param faq - FAQ 정보
	 * @return
	 * @author gagamel
	 * @since 2020. 12. 23
	 */
	Collection<Faq> getFaqList(Faq faq);

	/**
	 * FAQ 조회수 Update
	 * @param faqSq - FAQ일련번호
	 * @author gagamel
	 * @since 2020. 12. 23
	 */
	void updateFaqReadCount(Integer faqSq);

	/**
	 * FAQ 상세
	 * @param faqSq - FAQ일련번호
	 * @return
	 * @author gagamel
	 * @since 2020. 12. 23
	 */
	Faq getFaq(Integer faqSq);

}
